KeyValue (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface KeyValue

All Superinterfaces:
  Serializable, Value

All Known Implementing Classes:
  Any, Component, DependantValue, ManyToOne, OneToOne, SimpleValue, ToOne

    public interface KeyValue

extends Value

Represents an identifying key of a table: the value for primary key of an entity, or a foreign key of a collection or join table or joined subclass table.

Method Summary
`void` | `createForeignKeyOfEntity(String entityName)`
`IdentifierGenerator` | `createIdentifierGenerator(IdentifierGeneratorFactory identifierGeneratorFactory, Dialect dialect, String defaultCatalog, String defaultSchema, RootClass rootClass)`
`String` | `getNullValue()`
`boolean` | `isCascadeDeleteEnabled()`
`boolean` | `isIdentityColumn(IdentifierGeneratorFactory identifierGeneratorFactory, Dialect dialect)`
`boolean` | `isUpdateable()`

Methods inherited from interface org.hibernate.mapping.Value
`accept, createForeignKey, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getFetchMode, getTable, getType, hasFormula, isAlternateUniqueKey, isNullable, isSimpleValue, isValid, setTypeUsingReflection`

Method Detail

### createIdentifierGenerator

    IdentifierGenerator createIdentifierGenerator(IdentifierGeneratorFactory identifierGeneratorFactory,
                                                  Dialect dialect,
                                                  String defaultCatalog,
                                                  String defaultSchema,
                                                  RootClass rootClass)
                                                  throws MappingException

  Throws:
    `MappingException`

### isIdentityColumn

    boolean isIdentityColumn(IdentifierGeneratorFactory identifierGeneratorFactory,
                             Dialect dialect)

### createForeignKeyOfEntity

    void createForeignKeyOfEntity(String entityName)

### isCascadeDeleteEnabled

    boolean isCascadeDeleteEnabled()

### getNullValue

    String getNullValue()

### isUpdateable

    boolean isUpdateable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.